All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.ranking
Class RankingSelectorAdapterFactory

    com.sas.dataselectors.ranking.RankingSelectorAdapterFactory

    public class RankingSelectorAdapterFactory

This class is a factory of `RelationalRankingSelectorInterface` and `OLAPRankingSelectorInterface` instances.

Since:
  3.1

Constructor Summary
`RankingSelectorAdapterFactory()`

Method Summary
`static com.sas.dataselectors.ranking.OLAPRankingSelectorInterface` | `getOLAPAdapter(com.sas.iquery.metadata.business.BusinessQuery model)` Returns an instance of `OLAPRankingSelectorInterface`.
`static com.sas.dataselectors.ranking.OLAPRankingSelectorInterface` | `getOLAPAdapter(java.lang.Object model)` Returns an instance of `OLAPRankingSelectorInterface`
`static RelationalRankingSelectorInterface` | `getRelationalAdapter(com.sas.iquery.metadata.business.BusinessQuery model)` Returns an instance of `RelationalRankingSelectorInterface`.
`static RelationalRankingSelectorInterface` | `getRelationalAdapter(java.lang.Object model)` Returns an instance of `RelationalRankingSelectorInterface`

Constructor Detail

### RankingSelectorAdapterFactory

    public RankingSelectorAdapterFactory()

Method Detail

### getRelationalAdapter

    public static RelationalRankingSelectorInterface getRelationalAdapter(com.sas.iquery.metadata.business.BusinessQuery model)

  Returns an instance of `RelationalRankingSelectorInterface`.

  Parameters:
    `model` - the data model
  Returns:
    an instance of `RelationalRankingSelectorInterface`

### getOLAPAdapter

    public static com.sas.dataselectors.ranking.OLAPRankingSelectorInterface getOLAPAdapter(com.sas.iquery.metadata.business.BusinessQuery model)

  Returns an instance of `OLAPRankingSelectorInterface`.

  Parameters:
    `model` - the data model
  Returns:
    an instance of `OLAPRankingSelectorInterface`

### getRelationalAdapter

    public static RelationalRankingSelectorInterface getRelationalAdapter(java.lang.Object model)

  Returns an instance of `RelationalRankingSelectorInterface`

  Parameters:
    `model` - the data model (it's expected to implement `BusinessQueryProviderInterface`)
  Returns:
    an instance of `RelationalRankingSelectorInterface`

### getOLAPAdapter

    public static com.sas.dataselectors.ranking.OLAPRankingSelectorInterface getOLAPAdapter(java.lang.Object model)

  Returns an instance of `OLAPRankingSelectorInterface`

  Parameters:
    `model` - the data model (it's expected to implement `BusinessQueryProviderInterface` and `OLAPDataSetInterface`)
  Returns:
    an instance of `OLAPRankingSelectorInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.